<template>
  <DrawToolBar :tools="tools" @on-click="clickTool"></DrawToolBar>
</template>

<script>
export default {
  methods: {
    clickTool(tool) {
      this.$Message.info(tool.mode)
    }
  },
  data() {
    return {
      tools: ['draw_point', 'draw_polygon']
    }
  }
}
</script>